clang-tools 8.0.0

Static Public Member Functions | List of all members
llvm::yaml::MappingTraits< Symbol > Struct Template Reference

## Static Public Member Functions
static void | mapping (IO &IO, Symbol &Sym)

## Detailed Description

### template<>
struct llvm::yaml::MappingTraits< Symbol >

Definition at line 177 of file YAMLSerialization.cpp.

## Member Function Documentation

## ◆ mapping()

static void llvm::yaml::MappingTraits< Symbol >::mapping | ( | IO & | IO,
|  | Symbol & | Sym
| ) |  |
| inline static

Definition at line 178 of file YAMLSerialization.cpp.

References clang::clangd::Symbol::CanonicalDeclaration, clang::clangd::Symbol::CompletionSnippetSuffix, clang::clangd::Symbol::Definition, clang::clangd::Symbol::Documentation, clang::clangd::Symbol::Flags, clang::clangd::Symbol::ID, clang::clangd::Symbol::IncludeHeaders, clang::clangd::Symbol::Name, clang::clangd::Symbol::Origin, clang::clangd::Symbol::References, clang::clangd::Symbol::ReturnType, clang::clangd::Symbol::Scope, clang::clangd::Symbol::Signature, clang::clangd::Symbol::SymInfo, and clang::clangd::Symbol::Type.

The documentation for this struct was generated from the following file:

- YAMLSerialization.cpp